Skip to content

List monthly usage details.

POST
/api/web/namespaces/{namespace}/monthly_usage
curl --request POST \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/web/namespaces/example/monthly_usage \
--header 'Authorization: <Authorization>' \
--header 'Content-Type: application/json' \
--data '{ "namespace": "example" }'

List monthly usage details per tenant and namespace. Some usage have only sense in the system namespace and this selector has no effect on it.

Examples of this operation.

namespace
required
string

Namespace Namespace to be considered.

Media typeapplication/json
List monthly usage details request

Request message to GET mon thly usage details.

object
namespace
Namespace

Namespace to be considered.

string
>= 6 characters <= 1024 characters
Examplegenerated
{
"namespace": "example"
}

A successful response.

Media typeapplication/json
List monthly usage details response

Response message to GET monthly usage details.

object
monthly_usage_items
Usage items

Collection of usage items, lines of response.

Array<object>
MonthlyUsageType

One line of usage, including pricing details.

object
amount
Amount

Cost as hundredths of currency.

string format: int64
<= 1024 characters
currency_code
Currency code

ISO currency code.

string
<= 1024 characters
end_timestamp
Timestamp end

End of the time unit.

string format: date-time
<= 1024 characters
start_timestamp
Timestamp start

Beginning of the time unit.

string format: date-time
<= 1024 characters
Examplegenerated
{
"monthly_usage_items": [
{
"amount": "example",
"currency_code": "example",
"end_timestamp": "2026-04-15T12:00:00Z",
"start_timestamp": "2026-04-15T12:00:00Z"
}
]
}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example